/*
 * Script of Site
 * Copyright 2025 Hyic.com
 */

:root {
    --bs-primary: #9b0d14;
    --bs-primary-rgb: 155,13,20;
    --bs-warning: #eb6100;
    --bs-warning-rgb: 235,97,0;
    --bs-link-color-rgb: 51,51,51;
    --bs-link-hover-color-rgb: 155,13,20;
    --swiper-pagination-bullet-width: 1.5rem;
    --swiper-pagination-bullet-height: 0.375rem;
    --swiper-pagination-bullet-horizontal-gap: 1px;
    --bs-link-color: var(--bs-primary);
    --bs-link-hover-color: #bc252d;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #bc252d;
    --bs-btn-hover-border-color: #bc252d;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #bc252d;
    --bs-btn-active-border-color: #bc252d;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #b35d61;
    --bs-btn-disabled-border-color: #b35d61;
}
.btn-outline-primary {
    --bs-btn-color: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-bg: #bc252d;
    --bs-btn-hover-border-color: #bc252d;
    --bs-btn-active-bg: #bc252d;
    --bs-btn-active-border-color: #bc252d;
    --bs-btn-disabled-color: #b35d61;
    --bs-btn-disabled-border-color: #b35d61;
}

.pagination {
    --bs-pagination-active-bg: var(--bs-link-color);
    --bs-pagination-active-border-color: var(--bs-link-color);
}

.swiper-pagination-bullet-active {
    --swiper-theme-color: var(--bs-primary);
}

html { height: 100%; }
body { display: flex; flex-direction: column; min-height: 100%; }
a { display: inline-block; text-decoration: none; cursor: pointer; }
h1, h2, h3, h4, h5, .h1, .h2, .h3, .h4, .h5 { font-family:'黑体', '微软雅黑', sans-serif; }

.bg-blue { background-color: #0B3868; }
a.text-white-50:hover { color: white!important; }

.fs-55 { font-size: 1.125rem; }

.ratio-5x3 { --bs-aspect-ratio: 60%; }

.link-image { display: block; position: relative; overflow: hidden; --bg-image: url(); }
.link-image::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    
    /* 使用CSS变量作为背景图片 */
    background-image: var(--bg-image);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transform: scale(1);
    transition: transform 1s ease-in-out;
}
.link-image:hover::after {
    transform: scale(1.2);
}


.swiper-pagination-bullet { border-radius: 0; }

.layout_header { background: url(../image/header_bg.png) no-repeat top center; background-size: cover; }
.header_navbar .navbar-brand img { height: 2.5rem; }
.header_navbar .navbar-nav { margin-top: 5px; }
.header_navbar .nav-link { --bs-nav-link-color: rgba(255,255,255,0.8); --bs-nav-link-hover-color: #fff; border-top: 1px solid rgba(255,255,255,.5); }

.layout_footer { background: url(../image/footer_bg.png) no-repeat center bottom; --bs-border-color:rgba(0, 0, 0, 0.1); }
.footer_addr { padding-top: .5rem; }

.item-cale dl { margin-bottom: 0; border: 1px solid var(--bs-primary); border-radius: 5px; text-align: center; }
.item-cale dt { padding-left: .25rem; padding-right: .25rem; font-weight: normal; font-size: .8125rem; line-height: 1.5rem; color: white; background-color: var(--bs-primary); }
.item-cale dd { margin-bottom: 0; font-size: 1.5rem; line-height: 2rem; color: var(--bs-primary); }

.item-dot { --bs-list-group-item-padding-y: 0.75rem; }
.item-dot small { display: block; color: var(--bs-secondary); }
.item-dot::before { content: ""; position: absolute; left: 0; top: 22px; width: 5px; height: 5px; background-color: var(--bs-primary); }

.item-date { --bs-list-group-item-padding-y: 0.75rem; }
.item-date small { display: block; color: var(--bs-secondary); }


.column-banner .container-lg {
    position: relative;
    overflow: hidden;
}
.column-banner .container-lg::after {
    content: '';
    height: 100%;
    aspect-ratio: 1;
    position: absolute;
    right: 10%;
    bottom: -20%;
    background: url(../image/logo-black.png) no-repeat;
    background-size: contain;
    opacity: .15;
}

.column-nav {}
.column-nav-item { padding: 1rem 0; border-bottom: 1px solid var(--bs-border-color); }
.column-nav-link { display: flex; color: var(--bs-primary); }
/* .column-nav-link::after {
    content: '\FF1E';
} */
.column-nav-link i { margin-left: auto; }
.column-nav-link.active { color: var(--bs-primary); }
.column-menu { margin-top: 1rem; background-color: var(--bs-border-color); }
/* .column-nav { margin-bottom: 1rem; border-bottom: 2px solid var(--bs-primary); }
.column-nav ul { padding-left: 0; list-style: none; }
.column-nav li { padding-left: .5rem; padding-right: .5rem; }
.column-nav li:not(:first-child) { border-left: 1px solid var(--bs-border-color); }
.column-nav li.active, .column-nav li.active a { color: var(--bs-primary); }
.column-nav li i { display: none; } */

.home_stage { overflow: hidden; }
.home_stage .swiper { position: relative; overflow: visible; }
.home_stage_1 .swiper::before {
    content: '';
    width: 50%;
    height: 100%;
    position: absolute;
    z-index: 10;
    left: -50%;
    top: 0;
    background: url(../image/home-stage-left.png) no-repeat top right black;
    background-size: contain;
}
.home_stage_1 .swiper::after {
    content: '';
    width: 50%;
    height: 100%;
    position: absolute;
    z-index: 10;
    left: 100%;
    top: 0;
    background: url(../image/home-stage-right.png) no-repeat top left black;
    background-size: contain;
}

.home_stage_3 .swiper-slide-prev::after, .home_stage_2 .swiper-slide-next::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,.5);
}

.home_stage_4 .swiper-slide-prev::after, .home_stage_3 .swiper-slide-next::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.3);
}

.home_stage_5 .swiper-slide-prev::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to left, transparent, black);
}
.home_stage_5 .swiper-slide-next::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, transparent, black);
}

.home_platform { background: url(../image/content_bg.png) no-repeat right bottom; }
.home_platform .nav-pills>div { cursor: pointer; }
.home_platform .nav-pills .w-100 { background-color: rgba(0,0,0,.5); }
.home_platform .nav-pills>div.active .w-100 { background-color: rgba(var(--bs-primary-rgb),.8); }

.home_group .bg-blue { padding: 1rem; }

.show_container details { margin-bottom: 1rem; }
.show_container .figure img { margin-bottom: .5rem; line-height: 1; border-radius: var(--bs-border-radius); }
.show_container p { text-indent: 2em; }

.v_news_content p { text-indent: 2em; }

@keyframes slide-bg-frames {
    0% { transform:translateX(-25%); }
    100% { transform:translateX(25%); }
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .list_container .list_item { display: flex; }
    .list_container .list_item_image { margin-left: auto; margin-bottom: 0; flex-shrink: 0; width: 20%; }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {

    .header_navbar .navbar-nav { margin-top: 0; }
    .header_navbar .nav-link { border-top: none; font-size: 1.25rem; }

    .footer_addr { padding-top: 0; padding-left: 75px; }

    .home_group .swiper-slide { display: flex!important; align-items: stretch; }
    .home_group .swiper-slide>div { width: 50%; }
    .home_group .bg-blue { padding: 3rem; }

    .column-nav { border-bottom: none; }
    .column-nav li { padding: 1rem 0; border-bottom: 1px solid var(--bs-border-color); display: flex; }
    .column-nav li:not(:first-child) { border-left: none; }
    .column-nav li i { display: block; margin-left: auto; }
}

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .item-dot { display: flex; }
    .item-dot small { margin-left: 1rem; margin-left: auto; flex-shrink: 0; }
    
    .item-date { display: flex; }
    .item-date small { align-self: baseline; padding:.25rem .5rem; background-color: var(--bs-secondary-bg); margin-right: .5rem; flex-shrink: 0; }
    .item-date:hover small { color: white; background-color: var(--bs-primary); }
}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
    
}